function onUse(cid, item, fromPosition, itemEx, toPosition)

local config= {
removeOnUse = "yes" -- remover quando usar ("yes" or "no")
}

local days = 31 -- dias que serão adicionados
local daysvalue = days * 24 * 60 * 60
local storageplayer = getPlayerStorageValue(cid, 33339)
local timenow = os.time()

if getPlayerStorageValue(cid, 33339) - os.time() <= 0 then
time = timenow + daysvalue
else
time = storageplayer + daysvalue
end

doPlayerSendTextMessage(cid, MESSAGE_INFO_DESCR, "Foram adicionados ".. days .." dias de VIP no seu character.")
doPlayerAddPremiumDays(cid, 31)
setPlayerStorageValue(cid, 33339, time)
local quantity = math.floor((getPlayerStorageValue(cid, 33339) - timenow)/(24 * 60 * 60))
doSendMagicEffect(getPlayerPosition(cid), math.random(28,30)) 
doPlayerSendTextMessage(cid, MESSAGE_INFO_DESCR, "Voce tem ".. quantity .." dias de VIP restantes.")
if (config.removeOnUse == "yes") then
doRemoveItem(item.uid, 1)
end

return TRUE
end